# Search

## About the Search API

The EverTransit Search API allows you to search for rides and customers you have previously created. To make your requests, you can use the endpoints and their methods listed below.&#x20;

#### Endpoints&#x20;

* [Search for rides](#search-for-rides)&#x20;
* [Search for customers](#search-for-customers)&#x20;

### The Ride Search object

```json
{
  "hits": [
    {
      "id": "610058c5c594890018d2aa02",
      "scheduledTime": "2022-08-18T01:10:16.000Z",
      "pickup": {
        "address": "Orlando International Airport (MCO), USA"
      },
      "destination": {
        "address": "Tiffins Restaurant, Osceola Parkway, Orlando, FL, USA"
      },
      "service": {
        "name": "Test Payment July"
      },
      "rider": {
        "lastName": "Leon Bravo",
        "firstName": "Tahimi"
      },
      "driver": {
        "lastName": "Torres",
        "firstName": "Leandro"
      },
      "passengers": 1,
      "reservationNumber": "RES-713TE",
      "status": "completed",
      "externalId": null
    }
  ],
  "totalHits": 1,
  "totalPages": 1,
  "hitsPerPage": 1,
  "query": "RES-713TE"
}
```

**Attributes**

<table><thead><tr><th width="180.2832513350994">Name</th><th width="153">Type</th><th>Description</th></tr></thead><tbody><tr><td>hits</td><td>array</td><td>Information about the ride that matches the search criteria. For example, the ID, passengers, status, destination, service level, rider, driver, etc.</td></tr><tr><td>totalHits</td><td>number</td><td>The number of matching criteria from the search result.</td></tr><tr><td>page</td><td>number</td><td>The page for which the data is retrieved.</td></tr><tr><td>totalPages</td><td>number</td><td>The total pages of the search result.</td></tr><tr><td>hitsPerPage</td><td>number</td><td>Set the number of hits per page.</td></tr><tr><td>query</td><td>string</td><td>The query that contains one or more search keywords and qualifiers.</td></tr></tbody></table>

### Search for rides

{% openapi src="<https://endpoints.evertransit.com/v2beta/spec>" path="/search/rides" method="get" %}
<https://endpoints.evertransit.com/v2beta/spec>
{% endopenapi %}

[**API playground for searching for rides**](https://openapi.evertransit.com/#/Search/search-rides)

### The Customer Search object

```json
{
  "hits": [
    {
      "id": "629e9dfd0f1276444a9f75f8",
      "firstName": "John",
      "lastName": "Doe",
      "email": "john@mail.com",
      "phoneNumber": "+12345678900",
      "createdTime": "2022-08-18T01:10:16.000Z"
    }
  ],
  "totalHits": 1,
  "totalPages": 1,
  "hitsPerPage": 20,
  "query": "John"
}
```

**Attributes**

<table><thead><tr><th width="180.2832513350994">Name</th><th width="153">Type</th><th>Description</th></tr></thead><tbody><tr><td>hits</td><td>array</td><td>Information about the customer that matches the search criteria. For example, the ID, first name, last name, email, phone number, and created time.</td></tr><tr><td>totalHits</td><td>number</td><td>The number of matching criteria from the search result.</td></tr><tr><td>totalPages</td><td>number</td><td>The total pages of the search result.</td></tr><tr><td>hitsPerPage</td><td>number</td><td>Set the number of hits per page.</td></tr><tr><td>query</td><td>string</td><td>The query that contains one or more search keywords and qualifiers.</td></tr></tbody></table>

### Search for customers

{% openapi src="<https://endpoints.evertransit.com/v2beta/spec>" path="/search/customers" method="get" %}
<https://endpoints.evertransit.com/v2beta/spec>
{% endopenapi %}

[**API playground for searching for customers**](https://openapi.evertransit.com/#/Search/search-customers)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.evertransit.com/rest-api/api-references/search.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
